6/M
{EN
{*B
[2J{C2In this section we will cover the files subsystem.

The file subsystem permits you to move files between your system and this
RBBS-PC. Downloading refers to moving files from this RBBS to your computer,
and uploading is moving files from your computer to this RBBS. The files
subsystem is accessed by using the "{C3F{C2" command at the main menu.

The transfer of data can either be done in ASCII or using a protocol referred
to as XMODEM. The XMODEM protocol is common to CP/M based systems as was
originally developed by Ward Christensen. The protocol is also contained in
PC-TALK.III. More on this later.

To list the names of the files that are available on the disks for downloading
to your system, the <{C3L{C2>ist command should be entered at the Files Menu. The
full names of the files will be listed along with a short description of each
file. Usually there is a document file that accompanies most of the program
items on the system. These document files usually have an extension of DOC or
TXT.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2JThe basic steps in downloading are
   (1) tell RBBS you want to download.
   (2) tell RBBS exactly what file you want to download.
   (3) tell RBBS what protocol you want to use.
   (4) after RBBS says it is ready, tell your communications package to save
       the incoming file.

Note: all three first steps can be specified on a single line in the format
"{C3d;<filename>;<protocol>{C2". E.G. "{C3D;STREW.LBR;X{C2" will download the file
STREW.LBR using XMODEM protocol.

Note: if you set a default protocol, you will NOT be asked by RBBS what
protocol to use. If you want to override the default protocol, do the first
three steps above on one line. E.G. to download VOLSER2.DOC using ASCII when
default is XMODEM, at file function prompt enter "{C3D;VOLSER2.DOC;A{C2". If you want
to reset the default protocol, select {C3F{C2 for {C3F{C2)ile protocol, then {C3N{C2)one.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2JASCII DATA CAPTURE

The transfer of files in ASCII mode can be done if your system is capable of
data capture. To download a file using the ASCII method, follow the sequence
of steps listed below.

1. List the files available for download using the {C3L{C2)ist command and either
   capture the list to your printer or write down the exact names of the files
   you want to receive.

2. After returning to the Files Menu, select {C3D{C2)ownload.

3. When RBBS-PC asks for the filename you wish to select, input the exact
   filename including a period between the filename and extension.

4. When RBBS-PC asks for the type of download you want, input {C3A{C2 for {C3A{C2)scii
   method. (Only if you have default protocol set to None will you be asked
   this question.)

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2J5. When the RBBS-PC tells you to open your capture file and enter a carriage
return to start the download, you should do so. (Opening your capture file is
done by using the Alt-R command in PC-TALK.) After setting up to receive the
file on your end, you have to send RBBS-PC one carriage return so that it knows
you are ready to start.

6. The file will be sent a line at a time until the entire file is sent. You
will see the lines of ASCII code (readable text and numbers) on your screen as
they flow to your system. If you wish to suspend the transmission temporarily,
your system should send RBBS-PC a Ctrl-S (XOFF). A Ctrl-Q (XON) will restart
the temporarily halted transfer. A Ctrl-X (ASCII CAN) can be sent anytime to
abort the transmission of the data; because of the output buffering performed
automatically by RBBS-PC, there may be up to 120 characters transmitted before
the output stops.

7. When the file transfer is finished, RBBS-PC will send you an End Of File
Marker (Ctrl-Z) followed by 5 bells. You should close your capture file
(PC-TALK Alt-R) as soon as you hear the bells or you will get garbage at the
bottom of the file. If you go away for a cup of coffee and end up getting the
'end of file' sign attached to the bottom of the capture file, you can delete
it from the file later using a text editor.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2J8. After the file transfer is complete you will be returned to the File
Menu. You should look at the capture file at this point to be sure you got it
ok. (Use the PC-TALK Alt-V command to do this.)  Do not list the entire file
unless it is short; RBBS-PC will give you 3 minutes to remain off-line before
it assumes you have left for the day and recycles, dropping you off line.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2JXMODEM FILE TRANSFER

If you have implemented XMODEM on your system, files with EXE and COM
extensions and tokenized BASIC files can be moved to your system. Files
containing the IBM PC special ASCII characters (ones with ASCII values above
128) can also be transferred with XMODEM -- this includes Wordstar files.
These files cannot be transferred in ASCII mode since ASCII transfer is only 7
bit and these types of files require the full 8 bit transfer of the data with
no translation of the contents of the file.

XMODEM also offers the advantage of a block check to assure that the data sent
contains no errors. It does this by adding a checksum byte to the end of each
block of data; the receiver calculates its own checksum and compares it to the
one received. If an error is detected in the transmission, XMODEM will request
that RBBS-PC retransmit the block of data.

To perform an XMODEM file download, follow the instructions shown above for
ASCII DATA CAPTURE, but select {C3X{C2)modem instead of {C3A{C2)scii when RBBS-PC asks
what file download type you want (step 4 above). The XMODEM file transfer steps
are as follows:

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2J5. If you called in using EVEN parity the RBBS-PC will tell you to switch to
NO parity and 8 data bits. If you called in using 8 data bits the system will
not give you this message. You should then open your capture file (PC-TALK.III
Alt-R command) and start the XMODEM receive process. PC-TALK.III starts XMODEM
for you when you put '=X' at the end of the download filename.

6. The file will be transferred automatically by XMODEM until the entire file
has been transferred. You may abnormally abort the transfer by sending RBBS-PC
an ASCII CAN code (Ctrl-X). PC-TALK.III will do this for you if you enter an
Alt-R during the file transfer.

7. When the file transfer is finished, XMODEM automatically closes your
capture file for you. XMODEM also ensures that no garbage gets into your file;
binary files and text files are just as they were sent to you with 99.6% error
free transmission. Wordstar files should transfer without extra hard carriage
returns being added.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2J8. XMODEM transferred files cannot be listed on your monitor unless they
are actually ASCII files. Binary files will appear as symbols rather than
human readable text. You will have to test these files after you exit your
communications program.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2JFILE UPLOADING

File uploading to the RBBS-PC is very similar to downloading. After you have
downloaded a few files, you might want to send me one of your favorite programs
or files just to test your ability to upload.

Uploading of ASCII files can be done without interruption between lines. This
system can handle data uploading at 300 baud without any problem. If the
transfer is done at 1200 baud, however, there may be a data overrun if the file
is over 20K. If the system falls behind during a file upload operation, it will
send an XOFF (Ctrl-S) to your system. If your system supports XON/OFF file
transfer speed-matching, data transmission will be suspended until an XON
(Ctrl-Q) is sent to you, indicating RBBS-PC is ready to accept data again.

When uploading files, please convert BASIC programs to ASCII before
transferring them so callers without XMODEM can download them. To do this, use
the file save command format listed below.

                      {C3SAVE"filename.ext",A{C2

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2JBefore sending me a file be sure I have enough disk space to take the file.
When you ask for {C3U{C2)pload at the File menu, the system will tell you how much
disk space is free on the upload drive. If this system runs out of disk space
during an upload function, it will issue a cancel request. This will be in the
form of a data stream of one or more ASCII CAN (Ctrl-X) characters. Your
system will abort transmission if it supports XON/OFF file transfer
speed-matching protocol. If your system does not support XON/OFF, the data
overflow will be lost and the RBBS-PC will recycle, dropping you off line.

UPLOAD GROUND RULES

You are encouraged to donate programs to the library on this system. Any type
of program or document is welcome, however, a few ground rules are in order.
The files donated must contain only information that is in the public domain.
No private or commercial information should be placed on this system. The
SYSOP is not responsible for any of the data that is shared on this system.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{M! STOP
{END ON
{*B
[2JThe following files subsystem commands are available:

{C3FILE Command D - Download Files.{C2

This command is used to transfer files from RBBS-PC to your computer. The
basic steps in downloading are

1. Tell RBBS-PC that you want to download by entering "{C3D{C2" at the command
   prompt.

2. Tell RBBS-PC exactly what file you want to download by entering the file
   name at the prompt "{C3file(s) to download{C2". No drive letter, no path, no
   wildcards, just the file name without any extension is all that is required.

3. Tell RBBS-PC what protocol you want to use. RBBS-PC will give you a list of
   available protocols for file transfer. Selecting none cancels the download.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J4. When RBBS-PC says it is ready, use the proper commands on your
   communications program to download the incoming file USING THE SAME
   PROTOCOL (on mnany communications programs, download is invoked by
   pressing the "PgDn" key.) RBBS-PC will wait for your communications
   program to respond.

{C4TIPS:{C2
1. You should use the {C3L{C2)ist, {C3N{C2)ew, and {C3S{C2)earch commands to identify files
   that you would like to download.

2. You can stack the "{C3D{C2" command with the file name. That is, you can
   enter "{C3D <filename>{C2" directly from the Library Menu. For example, you
   could type "{C3D RBBS-PC.ZIP{C2" to start downloading the file RBBS-PC.ZIP.
   The protocol you would like to use can also be stacked after the file name
   such as "{C3D RBBS-PC.ZIP X{C2" for Xmodem download.

3. You can stack multiple file names. E.g. "{C3D RBBS-PC.ZIP ABC.ZIP X{C2"
   downloads files RBBS-PC.ZIP and ABC.ZIP, each using Xmodem.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J4. AUTODOWNLOAD can save you the trouble of having the tell your
   communications package to receive and what file name to use. PIBTERM
   3.25 up and EXEC PC-TALK 2.1 up support autodownloading.

5. You can request that RBBS-PC log you off automatically after a successful
   download by putting "{C3/G{C2" at the end of the request. E.g.
   "{C3D RBBS-PC.ZIP Z /G{C2" will download RBBS-PC.ZIP using Zmodem, then log-off
   right after a successful download.

{C3File Command G - Goodbye{C2

Use this command when you want to conclude your RBBS-PC session and "hang
up" your phone.

{C3File Command L - List Files or Directories{C2

This command will display the directories or categories of files which are
available for downloading from RBBS-PC.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2JThe "{C3L{C2" command can also be used along with a directory name (or number) to
display the list of files in that directory (e.g., "{C3L GAMES{C2".  A brief
description, the size in bytes, and the date the file was posted on the system
accompanies each file name.

After issuing an "{C3L{C2" command you can press {C3ENTER{C2 to see a list of what
categories are available, or specify what categories that you want to see. You
can also enter "{C3L <directory name>{C2" to see a list of files in that category.
For example, "{C3L WORDPR{C2" (or "{C3L 17{C2") might display the names and descriptions of
files in the "WORDPR" (word processor) directory.

{C4TIPS:{C2
1. You can save time and keystrokes by stacking your requests.  For instance,
   "{C3L 1 17 99{C2" will list all of the files in directories 1, 17, and 99.

2. You can temporarily suspend output to your screen after initiating the
   "{C3L{C2" command by pressing "Control-S".  The "Control-X" or "Control-K"
   commands will terminate the output to the screen and return you to the Files
   Menu.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J
3. "{C3L U{C2" will always list the upload directory, if it is available to you. And
"{C3L A{C2" will list all directories.

{C3FILE Command N - New files list{C2

This command will list files that have been added to RBBS-PC since a given
date, or since the last time you checked the file list.

You will be prompted for a date after you give the "{C3N{C2" command. Enter the
desired date in numerical format with no characters separating the month, day,
and year. For example, "{C3032090{C2" would list files included on the system
since March 20, 1990. Press {C3[ENTER]{C2 at the date prompt to use the date
you last checked for files.

Next, you will be asked for a directory to scan. Type in their name(s) or
number(s) separated by spaces. You can scan all of the directories on the
system by typing "{C3A{C4" at the prompt. Pressing {C3[ENTER]{C2 will return you to
the Files Menu.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C4TIPS:{C2
1. You can obtain a list of directory names and numbers by using the "{C3L{C2"
   command.

2. Using "{C3ALL{C2" may result in a time consuming search if the RBBS-PC system
   contains many files. You can save time by searching specific directories.

3. You can stack the {C3N{C2)ew command with a date and category. That is, you
   can enter "{C3N MMDDYY{C2" (e.g., "{C3N 032090{C2"), or "{C3N S{C2" to specify files new
   since you last checked, directly from the File Menu. You will then be asked
   for the directory you would like to scan. You can also pre-specify the
   directories to see. E.g., "{C3N 032090 COMM UTIL{C2" lists are files on or
   after 03-20-90 in directories COMM and UTIL.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3FILE Command P - Personal Downloads{C2

RBBS-PC allows the SYSOP to address a file to one specific caller or group of
callers to download. Personal downloads are unique from other files that are
available for callers to download in that:

1. Only the person (or group) that the sysop designates can view or download
   personal files.

2. There is no time limits on downloading personal files.

{C4TIPS:{C2
1. If there is a file you can't download for some reason (i.e. it is too
   large to download within the normal time limits that the SYSOP established),
   you might ask the SYSOP to make it available to you as a personal download.

2. At the prompt for {C3P{C2)ersonal download, you can ask for a list of all
   files available to you ({C3L{C2)ist). An * in front of the file name means it
   is a new one you have never downloaded.
   
{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J3. You can ask RBBS-PC to download all new files addressed to you by
   specifying * at the prompt.

{C3FILE Command S - Search{C2

This command scans file names and descriptions for a keyword, or a "wildcard"
file specification. This gives you the capability to search for a specific
file, to locate a group of files dealing with a specific topic or to identify
certain types of files (e.g., .BAS, .COM, .EXE).

You will be prompted for the string to scan for after you issue the "{C3S{C2"
command. Case (upper or lower) is ignored in the search. For instance, the
{C3S{C2)earch command treats the string "PC" and "pc" as identical.

Next, you will be asked for a directory to scan. Type in their name(s) or
number(s) separated by spaces. You can search through all of the directories on
the system by typing "{C3A{C2" at the prompt. Pressing {C3[ENTER]{C2 will return you
to the Library Menu.

{C4WARNING:  The directory file is VERY large, and could take several minutes to
          scan. You can save time by specifying specific directories.{C2
          
{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2JIf a string is found when searching the Library directories the disk number
will be displayed in columns 77-79.

{C4TIPS:{C2
1. You can obtain a list of directory names and numbers by giving the "{C3L{C2"
   command.

2. You can stack the {C3S{C2)earch command with the desired string. That is, you can
   enter "{C3S <string> <dir>{C2" directly from the Library Menu. For example, you
   could type "{C3S ZORK GAMES{C2" to search for the string "ZORK" in the GAMES
   directory.

3. A string that occurs as part of a file name or description will still
   produce a match. Entering "{C3BAS{C2" will give you a listing of all files
   with a) a ".BAS" extension, b) "BAS" as part of the file name, or c) "BAS"
   as part of a word or term in the file description.

4. S supports "wildcards" ?  and * in file names. E.g., "{C3S LIST*.ZIP{C2" will find
   the file LIST543.ZIP.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J5. Keep in mind that strings consisting of only a few characters could produce
   too many matches. "{C3S X{C2" will locate every line with an "X" in it.

6. Strings consisting of many characters could produce too few matches. For
   example, if you want all files connected with QMODEM, specifying "{C3S
   QMODEM*.*{C2" will miss QMDM210.ZIP and QMODFON.ZIP. You might want to
   broadened your search with "{C3S QM*.*{C2" to make sure you get all wanted files.

{C3FILE Command U - Upload Files{C2

Uploading is the transfer of files from your computer to RBBS-PC. When you use
the "{C3U{C2" command, RBBS-PC will prompt you for the filename you wish to upload.
If RBBS-PC finds that the file already exists (even with a different
extension), you will not be able to upload. This prevents duplicates from being
uploaded. You will then be asked to select a protocol if you have not set a
default protocol (see the help for the UTIL command "{C3F{C2" for a discussion of
different protocols).

Once RBBS-PC is ready to accept the upload, you should start the transfer using
your communications software. Check the manual or document file that came with
your communications software for specific information.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2JAfter the upload is complete, RBBS-PC may verify the integrity of the file,
and then ask you to describe it so others will know what it is.

UPLOAD GROUND RULES:  All callers are encouraged to upload files on this
system. Any type of program or document is welcome, however, a few ground rules
are in order. The files donated must contain only information that can be
shared with others. Callers who upload files overtly take on the sole
responsibility that, should these files be shared, the rights of others will
not be violated. The SYSOP is not responsible for any of the data that is
shared on this system.

{C4TIPS:{C2
1. You can stack the "{C3U{C2" command with the file name. That is, you can enter
   "{C3U <filename>{C2" directly from the Files Menu. For example, you could type
   "{C3U RBBS-PC.ZIP{C2" to upload the "RBBS-PC.ZIP" file.

2. You can override the default protocol by including it at the end of the
   command line. For example, "{C3U LIST700.ZIP X{C2" uploads LIST700.ZIP using
   Xmodem no matter what the default protocol is.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J{C3FILE Command V - Verbose File List{C2

This command displays a list of files contianed within a compressed file. You
will be prompted for the file names that you wish to view when you issue the
"{C3V{C2" command. Type the desired names, separated by spaces. If you press {C3[ENTER]{C2
without entering a filename, you will return to the File Menu.

{C4TIPS:{C2
1. You can stack the {C3V{C2)iew command with the desired file name. That is, you can
   enter "{C3V <filename>{C2" directly from the Library Menu. For example, you could
   type "{C3V RBBS-PC.ZIP{C2" to view the contents of RBBS-PC.ZIP.

2. You must only try to View files that are compressed with a supported
   extension. RBBS-PC supports ZIP, PAK, ARC, and LZH, and the sysop has the
   option to install support for others. Entering a file with an unsupported
   extension, such as EXE, will return a message stating that the view is not
   implemented for that file.

3. V supports only exact matches and not "wildcards". For example "{C3V LIST*.ZIP{C2"
   will not list LIST60J.ZIP.

{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{ON 09
{==STOP
{END
{M! STOP
{END ON
{*B
[2J4. Your Sysop may optionally allow you to "peek" at files within the compressed
   file. This will allow you to "browse" text files before downloading the
   compressed file they are in.

This concludes the Files Subsystem Tutorial. Please feel free to address any
questions concerning files and file transfers to the Sysop.

{END
{>> TUTOR.DAT
"{FN","{LN","{DT","{TM","Files Subsystem"
{END
{*0{C1Press RETURN to continue, {FN {C2
{09
{*B
[2JPress {C3N{C2 for the next section, {C4Utilities subsystem{C2
Press {C3M{C2 for the tutorial menu
Press {C3Q{C2 to quit back to the board
Press {C3R{C2 to review this section, or
Press {C3P{C2 to review the previous section, {C4Message subsystem{C2

{END
{LV;N;M;R;Q;P;
{09
{ON 09
{==N
{M! TUTOR5.MCR
{==M
{M! TUTOR1A.MCR
{==R
{M! TUTOR4.MCR
{==Q
{M! STOP.MCR
{==P
{M! TUTOR3.MCR
{END ON
